Subject: Re: [bug#31955] [PATCH] gnu: rust: support build with glibc-2.27, update to 1.26.2

From: [email-masked] (Ludovic Courtès)
Date: Mon, 02 Jul 2018 17:28:15 +0200

Hello Nikolai,

Jelle Licht <[email-masked]> skribis:

> 2018-06-18 23:34 GMT+02:00 Nikolai Merinov <[email-masked]>:
>
>> * gnu/packages/rust.scm (rust-source, rust-bootstrapped-package): Allow to
>> specify list of patches to rust sources. Update all rust new releases to
>> use
>> `rust-bootstrapped-package' as base package.
>> (rust-1.19): Split `patch-test' code to several phases to make it easier to
>> change code in next releases.
>> (rust-1.23): Disable "run-pass/out-of-stack.rs" test due to rust issue
>> #47863.
>> (rust-1.24): Instead of rewriting `patch-test' phase fix only required
>> places.
>> (rust-1.25): Switch to LLVM 6.0 that was supported starting from rust 1.25
>> release. Enable "run-pass/out-of-stack.rs" back in release that can work
>> with
>> glibc-2.27. Enable rust codegen tests back.
>> (rust): new package for 1.26.2 rust release with many changes in paths to
>> old
>> tests.
>> * gnu/packages/patches/rust-coresimd-doctest.patch: use "avx" processor
>> feature for _mm256 operations.
>> ---
>> [...]
>>
>
> I can verify that I have a working rust 1.26.2 at the end of a (very) long
> build process. Could someone else still review the patch?

On a cursory look I don’t see anything questionable with this patch.
Danny, any comments?

I suggest applying it if nobody complains in the next one or two days.

Sorry Nikolai for taking so long!

Ludo’.